Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update support autoresponder

PATCH/workspaces/{organizationId}/support/autoresponders/{autoresponderId}
Path parameters
organizationIdstringrequired
autoresponderIdstringrequired
Request body
application/json
namestring
enabledboolean
triggerstring
Allowed:ticket_createdcustomer_repliedout_of_hours
orderinteger
snippetIdstring | null
conditionsobject
Responses
200Autoresponder updated
autoresponderobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
enabledbooleanrequired
triggerstringrequired
Allowed:ticket_createdcustomer_repliedout_of_hours
orderintegerrequired
snippetIdstring | nullrequired
conditionsobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/support/autoresponders/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "enabled": true,
  "trigger": "ticket_created",
  "order": 0,
  "snippetId": "string",
  "conditions": {
    "property1": "string",
    "property2": "string"
  }
}'
Response
{
  "autoresponder": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "enabled": true,
    "trigger": "ticket_created",
    "order": 0,
    "snippetId": "string",
    "conditions": {
      "property1": "string",
      "property2": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}